#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-code-range-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-code-range-plugin-1.1.0.0-3118ALpO5Ai9NaLorbEKPy
key:                  hls-code-range-plugin-1.1.0.0-3118ALpO5Ai9NaLorbEKPy
license:              Apache-2.0
maintainer:           kokobd
author:               kokobd
synopsis:
    HLS Plugin to support smart selection range and Folding range

description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  f0a690cf09b44aca458a6376fba2a984
exposed:              True
exposed-modules:      Ide.Plugin.CodeRange Ide.Plugin.CodeRange.Rules
hidden-modules:       Ide.Plugin.CodeRange.ASTPreProcess
import-dirs:          /usr/lib/ghc-9.2.8/site-local/hls-code-range-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hls-code-range-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-code-range-plugin
hs-libraries:         HShls-code-range-plugin-1.1.0.0-3118ALpO5Ai9NaLorbEKPy
depends:
    aeson-2.1.2.1-9cB9LJUUgPXJU8E7LnOs6Q base-4.16.4.0
    containers-0.6.5.1 deepseq-1.4.6.1
    extra-1.7.14-DA6OxIljaar6G900XWMNnS
    ghcide-1.9.1.0-OjgR4WLzIlITwxJxGP9zV
    hashable-1.4.3.0-4gqtyFKn8Wu9OwsZtyYGdt
    hls-plugin-api-1.6.0.0-J31JxYGh80b3X42z9HNJeH
    lens-5.2.3-9P580XXoMWJKBWBOAaGjmv
    lsp-1.6.0.0-FiC2LDQ5Y3jLv2AibDRn0B mtl-2.2.2
    semigroupoids-5.3.7-5Nnk1TTK17hJy83JMZ11iK text-1.2.5.0
    transformers-0.5.6.2 vector-0.13.1.0-FuSYSqJEiCU51oStZmHlCe

haddock-interfaces:
    /usr/share/doc/haskell-hls-code-range-plugin/html/hls-code-range-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-code-range-plugin/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

